ON_RenderingAttributes Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_rendering.h>`

Inheritance diagram for ON_RenderingAttributes:

## Public Member Functions

| ON_RenderingAttributes ()
void | Default ()
int | Compare (const ON_RenderingAttributes &other) const
bool | Write (ON_BinaryArchive &archive) const
bool | Read (ON_BinaryArchive &archive)
bool | IsValid (ON_TextLog *text_log) const
const ON_MaterialRef * | MaterialRef (const ON_UUID &plugin_id) const

## Public Attributes

ON_ClassArray< ON_MaterialRef > | m_materials

## Detailed Description

Definition at line 21 of file opennurbs_rendering.h.

## Constructor & Destructor Documentation

## ON_RenderingAttributes()

ON_RenderingAttributes::ON_RenderingAttributes | ( |  | ) |

## Member Function Documentation

## Compare()

int ON_RenderingAttributes::Compare | ( | const ON_RenderingAttributes & | other | ) | const

## Default()

void ON_RenderingAttributes::Default | ( |  | ) |

## IsValid()

bool ON_RenderingAttributes::IsValid | ( | ON_TextLog * | text_log | ) | const

## MaterialRef()

const ON_MaterialRef* ON_RenderingAttributes::MaterialRef | ( | const ON_UUID & | plugin_id | ) | const

## Read()

bool ON_RenderingAttributes::Read | ( | ON_BinaryArchive & | archive | ) |

## Write()

bool ON_RenderingAttributes::Write | ( | ON_BinaryArchive & | archive | ) | const

## Member Data Documentation

## m_materials

ON_ClassArray<ON_MaterialRef> ON_RenderingAttributes::m_materials

Definition at line 35 of file opennurbs_rendering.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_rendering.h